unit providers;

interface
   Uses MainUnit, providersDB,Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmProviders = class(TForm)
    Label20: TLabel;
    cmboCountry: TComboBox;
    Label21: TLabel;
    cmboProvider: TComboBox;
    Label22: TLabel;
    txtCountry: TEdit;
    txtCode: TEdit;
    Button18: TButton;
    procedure cmboCountryClick(Sender: TObject);
    procedure cmboProviderClick(Sender: TObject);
    Procedure ShowProviders(sProvider,sCountry:string);
    procedure Button18Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmProviders: TfrmProviders;

implementation

{$R *.DFM}

procedure TfrmProviders.cmboCountryClick(Sender: TObject);
begin
  LoadProvider(cmboProvider,cmboCountry.text);
end;

procedure TfrmProviders.cmboProviderClick(Sender: TObject);
begin
  LoadCode(txtCountry,txtcode,cmboProvider.text,cmboCountry.text);
end;

Procedure TfrmProviders.ShowProviders(sProvider,sCountry:string);
var
  iIndex:integer;
begin
  LoadCountry(cmboCountry);

  iIndex:=cmboCountry.Items.IndexOf(sCountry);
  if iIndex <> -1 then
    begin
      cmboCountry.ItemIndex:=iIndex;
      LoadProvider(cmboProvider,cmboCountry.text);
      iIndex:=cmboProvider.Items.IndexOf(sProvider);
      if iIndex <> -1 then
        begin
          cmboProvider.itemindex:=iIndex;
          cmboProviderClick(self);
        end;
    end;



  Showmodal;
end;
procedure TfrmProviders.Button18Click(Sender: TObject);
begin
  frmMain.LogoEditor.SetNewNetCode(txtCountry.text +' '+ txtCode.text);
end;

end.

